GNOME Empathy Nickname script beszúrás sérülékenység

CH azonosító

CH-5818

Angol cím

GNOME Empathy Nickname Script Insertion Vulnerability

Felfedezés dátuma

2011.10.21.

Súlyosság

Alacsony

Érintett rendszerek

Empathy
GNOME

Érintett verziók

GNOME Empathy 3.x

Összefoglaló

A GNOME Empathy olyan sérülékenységét jelentették, melyet rosszindulatú felhasználók kihasználhatnak script beszúrásos támadásokra.

Leírás

A becenéven keresztül átadott bemeneti adat nincs megfelelően ellenőrizve, mielőtt az Adium téma felhasználná. Ez kihasználható tetszőleges HTML és script kód beszúrására, amely a felhasználó IM munkamenetében, a felhasználói csevegő szobával kapcsolatosan, a káros adat megjelenítésekor fut le.

A sérülékenységet a 3.2.1. kiadásban jelentették, de más verziók is érintettek lehetnek.

Megoldás

Javítva a fejlesztői verzióban.